%define upstream_name    MooseX-Daemonize
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A Role with the core daemonization and pidfile management
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Path) >= 2.80.0
BuildRequires: perl(Moose) >= 0.330.0
BuildRequires: perl(MooseX::Getopt) >= 0.70.0
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
Often you want to write a persistant daemon that has a pid file, and
responds appropriately to Signals. This module provides a set of basic
roles as an infrastructure to do that.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.180.0-2.mga4
+ Revision: 527129
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.180.0-1.mga4
+ Revision: 439593
- update to 0.18

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 370157
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 255732
- adding missing buildrequires:
- update to 0.15

* Sat Aug 20 2011 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 134619
- adding missing buildrequires:
- imported package perl-MooseX-Daemonize


* Sat Aug 20 2011 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
